phantom.outputEncoding='GBK'; //in order to display Chinese.
var utils = require('utils');
var casper = require('casper').create({
    verbose: true,
    logLevel: 'debug',
    pageSettings: {
    	 loadImages: false,
         loadPlugins: false,
         XSSAuditingEnabled: true,
         userAgent: 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/42.0.2311.90 Safari/537.36'
    }
});
var args = casper.cli.args;
var cookiesPath_ = args[0];
var cartUrl_ = args[1];
var areaId=args[2];
var ipLoc_djd=args[3];

casper.start();
casper.viewport(1024, 768);
var fs = require('fs');
var data = fs.read(cookiesPath_);
phantom.cookies = JSON.parse(data);
phantom.addCookie({
	  'name'     : 'areaId',   /* required property */
	  'value'    : areaId,  /* required property */
	  'domain'   : '.jd.com',
	  'path'     : '/',                /* required property */
	  'httponly' : false,
	  'secure'   : false,
	  'expires'  : (new Date()).getTime() + (1000 * 60 * 60*24*30)   /* <-- expires in 1 hour */
	});
phantom.addCookie({
	  'name'     : 'ipLoc-djd',   /* required property */
	  'value'    : ipLoc_djd,  /* required property */
	  'domain'   : '.jd.com',
	  'path'     : '/',                /* required property */
	  'httponly' : false,
	  'secure'   : false,
	  'expires'  : (new Date()).getTime() + (1000 * 60 * 60*24*30)   /* <-- expires in 1 hour */
	});

casper.then(function(){
	this.open(cartUrl_).then(function(){
         this.wait(3000, function(){
    	    this.echo(this.getPageContent());
    	 });   
    });
});
casper.then(function() {
	var cookies = JSON.stringify(phantom.cookies);
	fs.write(cookiesPath_,cookies,644);
});

casper.run();